libzypp: zypp::CheckAccessDeleted::ProcInfo Struct Reference

libzypp 17.38.14

zypp::CheckAccessDeleted::ProcInfo Struct Reference

Data about one running process accessing deleted files. More...

`#include <zypp/misc/CheckAccessDeleted.h>`

## Public Member Functions
std::string | service () const
| Guess if command was started by a systemd service script.

## Public Attributes
std::string | pid
| process ID
std::string | ppid
| parent process ID
std::string | puid
| process user ID
std::string | login
| process login name
std::string | command
| process command name
std::vector< std::string > | files
| list of deleted executables or libraries accessed

## Detailed Description

Data about one running process accessing deleted files.

Definition at line 50 of file CheckAccessDeleted.h.

## Member Function Documentation

## ◆ service()

std::string zypp::CheckAccessDeleted::ProcInfo::service | ( |  | ) | const

Guess if command was started by a systemd service script.

The service name might be used to restart the service.

Warning
  This is just a guess.

Definition at line 536 of file CheckAccessDeleted.cc.

## Member Data Documentation

## ◆ pid

std::string zypp::CheckAccessDeleted::ProcInfo::pid

process ID

Definition at line 52 of file CheckAccessDeleted.h.

## ◆ ppid

std::string zypp::CheckAccessDeleted::ProcInfo::ppid

parent process ID

Definition at line 53 of file CheckAccessDeleted.h.

## ◆ puid

std::string zypp::CheckAccessDeleted::ProcInfo::puid

process user ID

Definition at line 54 of file CheckAccessDeleted.h.

## ◆ login

std::string zypp::CheckAccessDeleted::ProcInfo::login

process login name

Definition at line 55 of file CheckAccessDeleted.h.

## ◆ command

std::string zypp::CheckAccessDeleted::ProcInfo::command

process command name

Definition at line 56 of file CheckAccessDeleted.h.

## ◆ files

std::vector<std::string> zypp::CheckAccessDeleted::ProcInfo::files

list of deleted executables or libraries accessed

Definition at line 57 of file CheckAccessDeleted.h.

The documentation for this struct was generated from the following files:

- zypp/misc/CheckAccessDeleted.h
- zypp/misc/CheckAccessDeleted.cc